Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class CmapFormat0

    java.lang.Object
      org.apache.batik.svggen.font.table.CmapFormat
          org.apache.batik.svggen.font.table.CmapFormat0

public class CmapFormat0
extends CmapFormat

Simple Macintosh cmap table, mapping only the ASCII character set to glyphs.

Field Summary

Fields inherited from class org.apache.batik.svggen.font.table.CmapFormat
`format, length, version`

Constructor Summary
`protected` | `CmapFormat0(java.io.RandomAccessFile raf)`

Method Summary
`int` | `mapCharCode(int charCode)`

Methods inherited from class org.apache.batik.svggen.font.table.CmapFormat
`create, getFormat, getLength, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmapFormat0

    protected CmapFormat0(java.io.RandomAccessFile raf)
                   throws java.io.IOException

Method Detail

### mapCharCode

    public int mapCharCode(int charCode)

  Specified by:
    `mapCharCode` in class `CmapFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.